# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu

from jmb.core.middleware.thread_local import get_current_user
from jmb.core.admin.menu import register_menu

payment_menu_item = items.MenuItem(
    # GENERAL
    _('Payment'),
    reverse('admin:app_list', kwargs={'app_label': 'payment'}),
    children=[
        items.MenuItem(_('Payment'), '',
            children=[
                items.MenuItem(_('Add Payment'), reverse('admin:payment_paymentform_add',)),
                items.MenuItem(_('Payment List'), reverse('admin:payment_paymentform_changelist',) ),
                ]
        ),
        items.MenuItem(_('Installment'), '',
            children=[
                items.MenuItem(_('Add Installment'), reverse('admin:payment_paymentinstallment_add',)),
                items.MenuItem(_('Installment List'), reverse('admin:payment_paymentinstallment_changelist',) ),
            ]
        ),
    ]
)

register_menu(payment_menu_item, 'jmb.payment')
